package com.heyu.api.data.dao.calca;
/**
* <p>
* 用户token表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-01
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.heyu.api.data.entity.calca.CalcaTokenEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CalcaTokenDao extends BaseMapper<CalcaTokenEntity> {


	CalcaTokenEntity selectCalcaTokenById(@Param("id")Long id);


	Long insertCalcaToken(CalcaTokenEntity calcaToken);


	Long insertOrUpdateCalcaToken(CalcaTokenEntity calcaToken);


	int updateCalcaTokenById(CalcaTokenEntity calcaToken);


	int updateCoverCalcaTokenById(CalcaTokenEntity calcaToken);


	int deleteCalcaTokenById(@Param("id")Long id);


    List<CalcaTokenEntity> selectCalcaTokenByToken(String token);

	CalcaTokenEntity selectCalcaTokenByTokenUserName(String token, String userName);

	List<CalcaTokenEntity> selectCalcaTokenByUserNameAvailable(String userName, Integer available);
}